<?php
/**
 * @version     0.0.1
 * @package     Babel-U-Lib
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author     Mathew Lenning - http://mathewlenning.com/
 */
// No direct access
defined('_JEXEC') or die;

abstract class Babelu_libControllerJoomlaSave extends Babelu_libControllerJoomlaBase
{

	/**
	 * Method to save the data to the model
	 * @param Babelu_libModelJoomlaBase $model to save to
	 * @param array $data from the form
	 */
	abstract protected function commit(Babelu_libModelJoomlaBase $model, $data);
	
	
	protected function setUserState()
	{
		$config = $this->config;
		$key = $config['option'].'.edit.'.$config['subject'].'.data';
		
		$input = $this->input;
		$data = $input->post->get('jform', array(), 'array');
		
		$app = $this->app;
		$app->setUserState($key, $data);
	}
}

