<?php
/**
 * @version     0.0.1
 * @package     Babel-U-Lib
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author     Mathew Lenning - http://mathewlenning.com/
 */
// No direct access
defined('_JEXEC') or die;

class Babelu_libViewButtonsDefault
{
	public function getButtons($config)
	{
		$buttons = array();
		$buttons[] = array('type' => 'addNew', 'task' => 'add.'.$config['subject'], 'alt' => 'JTOOLBAR_NEW', 'actions' => array('core.create'));
		$buttons[] = array('type' => 'editList', 'task' => 'edit.'.$config['subject'], 'alt' => 'JTOOLBAR_EDIT', 'actions' => array('core.edit'));
		$buttons[] = array('type' => 'divider', 'task' => '', 'alt' => '', 'actions' => array());
		$buttons[] = array('type' => 'publishList', 'task' => 'statePublish.'.$config['subject'], 'alt' => 'JTOOLBAR_PUBLISH', 'actions' => array('core.edit.state'));
		$buttons[] = array('type' => 'unpublishList', 'task' => 'stateUnpublish.'.$config['subject'], 'alt' => 'JTOOLBAR_UNPUBLISH', 'actions' => array('core.edit.state'));
		$buttons[] = array('type' => 'divider', 'task' => '', 'alt' => '', 'actions' => array());
		$buttons[] = array('type' => 'archiveList', 'task' => 'stateArchive.'.$config['subject'], 'alt' => 'JTOOLBAR_ARCHIVE', 'actions' => array('core.edit.state'));
		$buttons[] = array('type' => 'checkIn', 'task' => 'checkin.'.$config['subject'], 'alt' => 'JTOOLBAR_CHECKIN', 'actions' => array('core.manage'));
		$buttons[] = array('type' => 'divider', 'task' => '', 'alt' => '', 'actions' => array());
		$buttons[] = array('type' => 'deleteList', 'task' => 'delete.'.$config['subject'], 'alt' => 'JTOOLBAR_DELETE', 'actions' => array('core.delete'), 'msg' => 'BABELU_LIB_CONFIRM_DELETE');
		$buttons[] = array('type' => 'divider', 'task' => '', 'alt' => '', 'actions' => array());
		$buttons[] = array('type' => 'preferences', 'task' => '', 'alt' => '', 'actions' => array('core.admin'));
		
		return $buttons;
	}
}