<?php
/**
 * @version     0.0.1
 * @package     Babel-U-Lib
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author     Mathew Lenning - http://mathewlenning.com/
 */
// No direct access
defined('_JEXEC') or die;

class Babelu_libViewButtonsEdit
{
	public function getButtons($config)
	{
		if ($config['task'] == 'add')
		{
			$taskPrefix = 'create';
			$primaryAction = 'core.create';
		}
		else
		{
			$taskPrefix = 'update';
			$primaryAction = 'core.edit';
		}
		
		$buttons = array();
		$buttons[] = array('type' => 'apply', 'task' => $taskPrefix.'Edit.'.$config['subject'], 'alt' => 'JTOOLBAR_APPLY', 'actions' => array($primaryAction));
		$buttons[] = array('type' => 'save', 'task' => $taskPrefix.'Close.'.$config['subject'], 'alt' => 'JTOOLBAR_SAVE', 'actions' => array($primaryAction));
		$buttons[] = array('type' => 'save2new', 'task' => $taskPrefix.'New.'.$config['subject'], 'alt' => 'JTOOLBAR_SAVE_AND_NEW', 'actions' => array('core.create'));
		
		if ($taskPrefix == 'update')
		{
			$buttons[] = array('type' => 'save2copy', 'task' => $taskPrefix.'Copy.'.$config['subject'], 'alt' => 'JTOOLBAR_SAVE_AS_COPY', 'actions' => array('core.create'));
		}
		
		$buttons[] = array('type' => 'cancel', 'task' => 'cancel.'.$config['subject'], 'alt' => 'JTOOLBAR_CANCEL', 'actions' => array());

		return $buttons;
	}
}
