<?php
/**
 * @version     0.0.1
 * @package     Babel-U-Lib
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author     Mathew Lenning - http://mathewlenning.com/
 */
// No direct access
defined('_JEXEC') or die;

class Babelu_libControllerJoomlaCancel extends Babelu_libControllerJoomlaBase
{
	public function execute()
	{
		$config = $this->config;
		$url = 'index.php?option='.$config['option'].'&task=display.'.$config['subject']; 
		
		$prefix = $this->getPrefix();
		$model = $this->getModel($prefix, $config['subject'], $config);
		$keyName = $model->getKeyName();
		
		$input = $this->input;
		$keyValue = $input->getInt($keyName, 0);
		
		if ($keyValue != 0)
		{
			try 
			{
				$model->checkin($keyValue);
			}
			catch (Exception $e)
			{
				$msg = $e->getMessage();
				$this->setRedirect($url, $msg, 'warning');
				return false;
			}
		}
		
		$this->setRedirect($url);
		return true;
	}
	
	
}