<?php
/**
 * @version     0.0.1
 * @package     Babel-U-Lib
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author     Mathew Lenning - http://mathewlenning.com/
 */
// No direct access
defined('_JEXEC') or die;

class Babelu_libControllerJoomlaStateTrash extends Babelu_libControllerJoomlaState
{
	public function execute()
	{
		$config = $this->config;
		$input = $this->input;
		$url = 'index.php?option='.$config['option'].'&task=display.'.$config['subject'];
		
		try 
		{
			parent::execute();
		}
		catch (Exception $e)
		{
			$msg = $e->getMessage();
			$this->setRedirect($url, $msg, 'warning');
			return false;
		}
				
		$msg = $this->translate('BABELU_LIB_MSG_ITEMS_TRASHED');
		$this->setRedirect($url, $msg, 'message');
		return true;
	}
	
	protected function updateRecordState(Babelu_libModelJoomlaBase $model, $cid)
	{
		$model->updateRecordState($cid, 'trash');
	}
}