<?php
/**
 * @version     0.0.1
 * @package     Babel-U-Lib
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author     Mathew Lenning - http://mathewlenning.com/
 */
// No direct access
defined('_JEXEC') or die;

class Babelu_libControllerJoomlaUpdateEdit extends Babelu_libControllerJoomlaUpdateBase
{
	public function execute()
	{
		if (parent::execute())
		{
			$config = $this->config;
			$input = $this->input;
			
			$prefix = $this->getPrefix();
			$model = $this->getModel($prefix, $config['subject'], $config);
			$keyName = $model->getKeyName();
			$keyValue = $input->getInt($keyName);
			
			$url = 'index.php?option='.$config['option'].'&task=edit.'.$config['subject'];
			$url .='&'.$keyName.'='.$keyValue;
			
			$msg = $this->translate('BABELU_LIB_MSG_SAVE_COMPLETED');
			$this->setRedirect($url, $msg, 'message');
			return true;
		}
		
		return false;
	}
	

}
