<?php
/**
 * @version     0.0.1
 * @package     Babel-U-Lib
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author     Mathew Lenning - http://mathewlenning.com/
 */
// No direct access
defined('_JEXEC') or die;

class Babelu_libControllerJoomlaUpdateNew extends Babelu_libControllerJoomlaUpdateBase
{
	public function execute()
	{
		if (parent::execute())
		{
			$config = $this->config;
			$url = 'index.php?option='.$config['option'].'&task=add.'.$config['subject'];
			
			try
			{
				$this->checkin();
			}
			catch (Exception $e)
			{
				$msg = $e->getMessage();
				$this->setRedirect($url, $msg, 'warning', true, false);
			}
			
			$msg = $this->translate('BABELU_LIB_MSG_SAVE_COMPLETED');
			$this->setRedirect($url, $msg, 'message');
			return true;
		}
		
		return false;
	}
	
}
